Image 01
profile-image

bcanet

Benoí®t CANET , France
Konqueror flash plugin installer

Various KDE 1.-4. Improvements by bcanet 20 comments

Hello,

The debian Flash installer need to be root or to have sudo privileges to be launched, this one operate with user privileges.

Regards - Jul 06 2006
Konqueror flash plugin installer

Various KDE 1.-4. Improvements by bcanet 20 comments

To use the patch one must folow the following steps:
Get Kde 3.5 sources.
cd in kdelibs/khtml
apply the patch with something like
cat pathtopatch.diff|patch -p1
recompile/package kde 3.5
install the new kde
put something like PluginsListFile=http://www.dental-on-line.com/divers/plugins.xml
in $KDEDIR/share/config/kcmnspluginrc
or ~/.kde/share/config/kcmnspluginrc

As you can see this patch is only usefull for two type of peoples distro makers or sysadmins.

Sorry for the late answer - Oct 06 2005
Konqueror flash plugin installer

Various KDE 1.-4. Improvements by bcanet 20 comments


This installer can work with others plugins as long as the plugin binary .so file is properly packaged in a tar archive.
The xml file must be customised to install another plugin.

Gpl flash produce two files.
The gpl flash library and the plugin linked against the library.
The plugin installer can copy the plugin in the browser plugin directory but can't install the gpl flash library on the system.

The solution would be to staticaly link libflash.so in libnpflash.so
and package the result in a tar file. - Sep 15 2005